import express from 'express';
import passport from 'passport';

// Route imports
import testRoute from './test.js';
import versionRoute from './version.js'

import alertContactsRoute from './alertContacts.js';
import alertContactsRoute_schema from './alertContacts_schema.js';


// Router base is '/api/v1'
const Router = express.Router({ strict: false });

// All empty strings are null values.
Router.use('*', function (req, res, next) {
	for (let key in req.body) {
		if (req.body[key] === '') {
			req.body[key] = null;
		}
	}
	next();
});

// All api routes lowercase! Yea I know but when strict: true it matters.
Router.route('/alertcontacts').get(alertContactsRoute.get).post(alertContactsRoute.post).patch(alertContactsRoute.patch).delete(alertContactsRoute.del);
Router.route('/alertcontacts/describe').get(alertContactsRoute_schema);

Router.route('/version').get(versionRoute.get);
//Router.use('/search', search_routes);

Router.route('/test').get(testRoute.get);

export default Router;
